package it.unibo.tw.dao.init;

import it.unibo.tw.dao.DAOFactory;
import it.unibo.tw.dao.StudenteDAO;
import it.unibo.tw.dao.hsqldb.HsqldbDAOFactory;

//import java.text.SimpleDateFormat;
//import java.util.Date;

public class ResetDB {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		StudenteDAO studenteDAO = DAOFactory.getDAOFactory(HsqldbDAOFactory.class.getCanonicalName()).getStudenteDAO();
		
		try { studenteDAO.dropTable(); } catch (Exception e) { System.out.println("ho provato a dropparla, ma magari non esisteva gia' di suo..");		}
		studenteDAO.createTable(); 
		
		// crea inconsistenza con la gestione degli id 
		// fatta a mano tramite il contatore nella webapp
		// l'ho scritto solo per farlo girare una volta e vedere se era tutto ok
//		PostDTO postDTO = new PostDTO();
//		for ( int i = 0 ; i < 4 ; i++ ) {
//			postDTO.setId(i);
//			// SimpleDateFormat from the J2EE Javadoc API on the course web site
//			postDTO.setGiorno( new SimpleDateFormat("EEE, MMM d, ''yy").format(new Date()));
//			postDTO.setOra( new SimpleDateFormat("h:mm a").format(new Date()));
//			postDTO.setTesto("testiamo il testo n." + i);
//			postDAO.createPost(postDTO);
//		}
		
		System.out.println("Fatto.");
		
	}

}
