package it.unibo.tw.dao;


/**
 * DAO interface for accessing the user datatype
 * @author pisi79
 */
public interface StudenteDAO {

	// --- CRUD methods: create, read, update, delete

	/**
	 * C
	 */
	public boolean create(StudenteDTO t);

	/**
	 * R
	 */
	public StudenteDTO read(String matricola);

	// --- Other access methods (read with selects and filters, read all, etc...) ---

	/**
	 * Creazione della table
	 */
	public boolean createTable();
	
	/**
	 * Rimozione della table
	 */
	public boolean dropTable();

}
