<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>

<%@page import="it.unibo.tw.dao.*"%>

<%@ page errorPage="errorpages/insertFailure.jsp"%>

<html>

	<head>
		<title>Inserisci Nuovo Studente</title>

		<meta http-equiv="Pragma" content="no-cache"/>
		<meta http-equiv="Expires" content="Mon, 01 Jan 1996 23:59:59 GMT"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<meta name="Author" content="pisi">
		
<%
	boolean inserimento = false;

	String ins = request.getParameter("ins");
	if ( ins != null && ins.length() > 0 ) {
		String corso = request.getParameter("CodCorsoDL");
		String nome = request.getParameter("Nome");
		String cognome = request.getParameter("Cognome");
		String matricola = request.getParameter("Matricola");
		
		if ( corso == null || corso.equals("") ) 
			throw new Exception("Dato mancante: codice del corso di laurea");
		if ( nome == null || nome.equals("") ) 
			throw new Exception("Dato mancante: nome");
		if ( cognome == null || cognome.equals("") ) 
			throw new Exception("Dato mancante: cognome");
		if ( matricola == null || matricola.equals("") ) 
			throw new Exception("Dato mancante: matricola");
		
		StudenteDAO studenteDAO = DAOFactory.getDAOFactory(application.getInitParameter("daoFactory")).getStudenteDAO();
		if ( studenteDAO.read(matricola) != null ) 
			throw new Exception("Dato non valido: matricola gia' presente");
		
		StudenteDTO studenteDTO = new StudenteDTO();
		studenteDTO.setNome(nome);
		studenteDTO.setCognome(cognome);
		studenteDTO.setMatricola(matricola);
		studenteDTO.setCorso(corso);
		boolean successo = studenteDAO.create(studenteDTO);
		
		if ( ! successo ) {
			throw new Exception("Errore generico: riprovare piu' tardi");
		}
		
		inserimento = true;
%>
<%= ( inserimento ? "<meta http-equiv=\"Refresh\" content=\"0; URL=ok.html\"/>" : "" )  %>
<%
	}
%>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>

	</head>

	<body>
		<h1>Inserimento</h1>
		
		<form method="post">
			<table>
				<tr><td>Nome:</td><td><input type="text" name="Nome"/></td></tr>
				<tr><td>Cognome:</td><td><input type="text" name="Cognome"/></td></tr>
				<tr><td>Matricola:</td><td><input type="text" name="Matricola"/></td></tr>
				<tr><td>Codice corso di laurea:</td><td><input type="text" name="CodCorsoDL"/></td></tr>
			</table>
			<input type="hidden" name="ins" value="ins"/>
			<input type="submit" value="Inserisci"/>
		</form>

	</body>

</html>