<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>

<%@page import="it.unibo.tw.dao.*"%>

<%@ page errorPage="errorpages/insertFailure.jsp"%>

<html>

	<head>
		<title>Leggi Dati Studente</title>

		<meta http-equiv="Pragma" content="no-cache"/>
		<meta http-equiv="Expires" content="Mon, 01 Jan 1996 23:59:59 GMT"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<meta name="Author" content="pisi">
	
	
<%!String printTableRow(String nome, String valore) {
	StringBuffer html = new StringBuffer();
	html
		.append("<tr><th style=\"width: 200px;\">").append(nome).append("</th>")
		.append("<td style=\"width: 200px;\"><center>").append(valore).append("</center></td></tr>");
	return html.toString();
}%>	
<%
	String result = "";
	String matricola = request.getParameter("Matricola");
	if ( matricola != null && ! matricola.equals("") ) {
		
		StudenteDAO studenteDAO = DAOFactory.getDAOFactory(application.getInitParameter("daoFactory")).getStudenteDAO();
		StudenteDTO studenteDTO = studenteDAO.read(matricola);
		if ( studenteDTO == null ) {
			throw new Exception("Matricola " + matricola + " non presente.");
		}
		else {
			result = "<table>";
			result += printTableRow("Cognome",studenteDTO.getCognome());
			result += printTableRow("Nome",studenteDTO.getNome());
			result += printTableRow("Matricola",studenteDTO.getMatricola());
			result += printTableRow("Corso di Laurea",studenteDTO.getCorso());
			result += "</table>";
		}
	}
%>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>

	</head>

	<body>
		<h1>Lettura</h1>
		
		<form method="get">
			<table>
				<tr><td>Matricola:</td><td><input type="text" name="Matricola"/></td></tr>
			</table>
			<input type="submit" value="Cerca"/>
		</form>

		<div>
			<%= result %>
		</div>
	</body>

</html>